package testing;


import org.jboss.aop.advice.Interceptor;
import org.jboss.aop.joinpoint.Invocation;
import org.jboss.aop.joinpoint.MethodInvocation;

/** Class made specially for showing JBossAOP error.
 *  <a href="http://www.jboss.org/index.html?module=bb&op=viewtopic&t=52857&postdays=0&postorder=asc&start=10">Look here for info</a> 
 *  @author Tomasz Nazar
 *  @date 10.08.2004
 * 
 *  Change package and class name from:
 *  com.mycompany.banking.aspects.persistance.BankingWithPersistanceDemo
 *  to, say:
 *  a.b.Demo
 * 
 *  and problem dissapears
 */
public class TestingAspect
{
    public Object transactedOperations(Invocation invocation)
    throws Throwable
    {
        return invocation.invokeNext();
    }
    
}