package com.mycompany.banking.aspects.persistance;

import core.Account;
import core.Bank;
import core.Customer;


/** Class made specially for showing JBossAOP error.
 *  <a href="http://www.jboss.org/index.html?module=bb&op=viewtopic&t=52857&postdays=0&postorder=asc&start=10">Look here for info</a> 
 *  @author Tomasz Nazar
 *  @date 10.08.2004
 * 
 *  Change package and class name from:
 *  com.mycompany.banking.aspects.persistance.BankingWithPersistanceDemo
 *  to, say:
 *  a.b.Demo
 * 
 *  and problem dissapears
 */
public class BankingWithPersistanceDemo
{

    public static void main(String[] args) 
    {
        Bank bank = new Bank();
        
        Customer tomasz = bank.createCustomer("Tomasz", "Nazar");
        Customer egon = bank.createCustomer("Friend", "0");
        
        Account tomaszFirstAccount = bank.openAccount(tomasz);
        Account friendsAccount = bank.openAccount(egon);

        bank.transferMoney(tomaszFirstAccount, friendsAccount, 17L);
    }
}
